% Pic code from ESR's "Making pictures with GNU PIC"
% Eduardo Ochs, 2011nov18
% This file: (find-angg "PIC/1.pic")
%    http://angg.twu.net/PIC/1.pic.html
%
% (find-angg ".emacs" "eepic")
% (find-esrpicpage  7  "Figure 5-4: Two more spline examples")
% (find-es "pic" "gpic")
% (find-es "pic" "pic-manual")
% (eepitch '(find-angg "PIC/1.pic"))
% 
% (defun c () (interactive) (find-sh "gpic -t 1.pic > 1.tex && tex 1.tex"))
% (defun d () (interactive) (find-dvipage "1.dvi"))
% (defun e () (interactive) (find-esrpicorigtext))
%
% Compare:        (find-angg "PIC/1.tex")
%   (find-bgprocess "tkdiff 1.pic 1.tex")


\bigskip   %----------------------------------------

% (find-esrpicorigtext "3.  Basic PIC Concepts")
% (find-esrpicorigtext "3.  Basic PIC Concepts" "Figure 3-1")
Figure 3-1: Flow of pic data

.PS
ellipse "document";
arrow;
# box width 0.6 "fIpic/fP(1)"
box width 0.6 "{\it pic}(1)"
arrow;
box width 1.1 "{\it tbl}(1) or {\it geqn}(1)" "(optional)" dashed;
arrow;
box width 0.6 "{\it troff}(1)";
arrow;
ellipse "PostScript"
.PE
\centerline{\box\graph}

\bigskip   %----------------------------------------

% (find-esrpicorigtext "3.  Basic PIC Concepts" "Figure 3-2")
Figure 3-2: Basic pic objects

.PS
box "box";
move;
line "line" "";
move;
arrow "arrow" "";
move;
circle "circle";
move;
ellipse "ellipse";
move;
arc; down; move; "arc"
.PE
\centerline{\box\graph}

\bigskip   %----------------------------------------

Figure 3-4: Effects of multiple text arguments

.PS
line "1";
line "1" "2";
line "1" "2" "3";
line "1" "2" "3" "4";
line "1" "2" "3" "4" "5";
.PE
\centerline{\box\graph}

\bigskip   %----------------------------------------

Figure 3-7: Result of line; arc; arc cw; line

.PS
line; arc; arc cw; line
.PE
\centerline{\box\graph}

\bigskip   %----------------------------------------

% (find-esrpicorigtext "4.  Sizes and Spacing")
% (find-esrpicorigtext "4.  Sizes and Spacing" "Figure 4-5: The same keyword")

Figure 4-5: The same keyword

.PS
box; box wid 1 ht 1; box same; box
.PE
\centerline{\box\graph}

\bigskip   %----------------------------------------

Figure 5-2: line right 1 then down .5 left 1 then right 1

.PS
line right 1 then down .5 left 1 then right 1
.PE
\centerline{\box\graph}

\bigskip   %----------------------------------------

% (find-esrpicpage  7  "Figure 5-4: Two more spline examples")
% (find-esrpicorigtext "Figure 5-4: Two more spline examples")

.PS
spline right then up then left ->;
spline left then up right then down right ->;
.PE
\centerline{\box\graph}

\bigskip   %----------------------------------------




\bye


